summaryrefslogtreecommitdiff
path: root/tests/rocker/port
diff options
context:
space:
mode:
authorScott Feldman <sfeldma@gmail.com>2015-03-13 21:09:31 -0700
committerStefan Hajnoczi <stefanha@redhat.com>2015-05-11 14:49:04 +0100
commit63d2ada2f55a85c3143ecf69a5aeecf6b3f3ffc9 (patch)
tree3daeac93e7c60f4bdb77f63ffe5c9fa9ae49a53d /tests/rocker/port
parentdc488f888060afdc129e0cc8812cf50c4c083423 (diff)
downloadqemu-63d2ada2f55a85c3143ecf69a5aeecf6b3f3ffc9.tar.gz
rocker: add tests
Add some basic test for rocker to test L2/L3/L4 functionality. Requires an external test environment, simp, located here: https://github.com/scottfeldman/simp To run tests, simp environment must be installed and a suitable VM image built and installed with a Linux 3.18 (or greater) kernel with rocker driver support enabled. Signed-off-by: Scott Feldman <sfeldma@gmail.com> Message-id: 1426306173-24884-8-git-send-email-sfeldma@gmail.com Signed-off-by: Stefan Hajnoczi <stefanha@redhat.com>
Diffstat (limited to 'tests/rocker/port')
-rwxr-xr-xtests/rocker/port22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/rocker/port b/tests/rocker/port
new file mode 100755
index 0000000000..3437f7d7fe
--- /dev/null
+++ b/tests/rocker/port
@@ -0,0 +1,22 @@
+simp destroy ".*"
+simp create -o sw1:rocker:sw1 tut tut.dot
+simp start tut
+while ! simp ssh tut sw1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
+while ! simp ssh tut h1 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
+while ! simp ssh tut h2 --cmd "ping -c 1 localhost >/dev/null"; do sleep 1; done
+
+# bring up DUT ports
+
+simp ssh tut sw1 --cmd "sudo ifconfig swp1 11.0.0.1/24"
+simp ssh tut sw1 --cmd "sudo ifconfig swp2 12.0.0.1/24"
+
+# config IP on hosts
+
+simp ssh tut h1 --cmd "sudo ifconfig swp1 11.0.0.2/24"
+simp ssh tut h2 --cmd "sudo ifconfig swp1 12.0.0.2/24"
+
+# test...
+
+simp ssh tut h1 --cmd "ping -c10 11.0.0.1 >/dev/null"
+if [ $? -eq 1 ]; then exit 1; fi
+simp ssh tut h2 --cmd "ping -c10 12.0.0.1 >/dev/null"